package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemChangepriceQueryRequest struct {
	/*
	   开始时间     */
	StartTime *util.LocalTime `json:"start_time" required:"true" `
	/*
	   结束时间，结束时间-开始时间不能超过48小时     */
	EndTime *util.LocalTime `json:"end_time" required:"true" `
	/*
	   渠道店id     */
	ShopId *string `json:"shop_id" required:"true" `
	/*
	   变价的类型  * 查询变价的单据专用     */
	Type *string `json:"type" required:"true" `
}

func (s *AlibabaWdkItemChangepriceQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkItemChangepriceQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkItemChangepriceQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkItemChangepriceQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkItemChangepriceQueryRequest) SetShopId(v string) *AlibabaWdkItemChangepriceQueryRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkItemChangepriceQueryRequest) SetType(v string) *AlibabaWdkItemChangepriceQueryRequest {
	s.Type = &v
	return s
}

func (req *AlibabaWdkItemChangepriceQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.StartTime != nil {
		paramMap["start_time"] = *req.StartTime
	}
	if req.EndTime != nil {
		paramMap["end_time"] = *req.EndTime
	}
	if req.ShopId != nil {
		paramMap["shop_id"] = *req.ShopId
	}
	if req.Type != nil {
		paramMap["type"] = *req.Type
	}
	return paramMap
}

func (req *AlibabaWdkItemChangepriceQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
